MACRO BOOST_PROTO(3)

NAME
BOOST_PROTO_A_ref - Generates sequences like A0 &, A1 &, ... AN-1 & .

SYNOPSIS

// In header: <boost/proto/repeat.hpp>
BOOST_PROTO_A_ref(N)

DESCRIPTION

Intended for use with the BOOST_PROTO_REPEAT() and BOOST_PROTO_LOCAL_ITERATE() macros.

BOOST_PROTO_A_ref(N) generates sequences like:

    A0 &, A1 &, ... AN-1 &